@ECHO OFF
rem sqdrJdbcBaseline - use JDBC to push a baseline to a SQDR Kafka Consume
rem
rem Usage: 
rem You can specify 0 or more config files (without the .cfg extension)
rem   e.g.
rem sqdrJdbcBaseline file1 file2 
rem  will run baselines for the config files file1.cfg and files2.cfg
rem
rem If you do not supply a config file, the script will use a config file
rem whose name matches that of the batch file
rem  e.g. invoking sqdrJdbcBaseline will use a config file named sqdrJdbcBaseline.cfg

set DIR=C:\dev\Kafka\sqdrJdbcBaseline


set KAFKA=C:\bin\kafka
set KAFKALIB=%KAFKA%\libs
set KAFKAJARS=%KAFKALIB%\*



rem set this directory to the location of the JDBC drivers for your source
set JDBCDIR=%DIR%\drivers

rem set this variable to the jar files of your source JDBC driver
rem You will also need sqljdbc_auth.dll in the current directory to use Windows authentication with SQL Server
set SRCJDBC=%JDBCDIR%\*

set CLASS=com.starquest.kafka.jdbc.JdbcBaseline


rem Default config filename matches that of the batch file, but you can also pass a name on the command line
rem The script will append .cfg to the name

if "%1"=="" GOTO DefaultName

:Loop
IF "%1"=="" GOTO END
set CONFIG=%1.cfg
SHIFT

if NOT exist %CONFIG% goto FileNotFound

echo Processing %CONFIG%:
java -cp "%KAFKAJARS%;%SRCJDBC%;%DIR%\sqdrJdbcBaseline.jar" %CLASS% < %CONFIG%

goto Loop

:FileNotFound
echo %CONFIG% not found
goto Loop
:Continue

GOTO END


:DefaultName
set CONFIG=%~n0.cfg
if NOT exist %CONFIG% goto DefaultFileNotFound

echo Processing %CONFIG%:
java -cp "%KAFKAJARS%;%SRCJDBC%;%DIR%\sqdrJdbcBaseline.jar" %CLASS% < %CONFIG%
GOTO END

:DefaultFileNotFound
echo %CONFIG% not found

:END


